<script lang="tsx">
  import { defineComponent } from 'vue';

  const props = {
    column: { type: Object, default: null },
    row: { type: Object },
    render: { type: Function },
    index: { type: Number },
  };
  export default defineComponent({
    name: 'Render',
    props,
    setup(props) {
      return () => {
        const { render } = props;
        return render && render({ column: props.column, row: props.row, index: props.index });
      };
    },
  });
</script>
